---
title: "Anthropic's Computer Control, Character.AI Lawsuit, and Bitcoin Creator Mystery"
date: 2024-10-24
categories: ["News"]
tags:
  [
    "artificial-intelligence",
    "anthropic",
    "claude",
    "computer-control",
    "character-ai",
    "online-safety",
    "cryptocurrency",
    "bitcoin",
  ]
description: "Major tech developments: Anthropic's Claude gains computer control abilities, Character.AI faces wrongful death lawsuit, and new HBO documentary reignites Bitcoin creator mystery."
draft: false
---

## Anthropic Unveils Computer Use Feature for Claude 3.5 Sonnet

{{< youtube ODaHJzOyVCQ >}}

Anthropic has announced a groundbreaking development in AI capabilities with the release of an upgraded Claude 3.5 Sonnet model that can directly interact with computers. This new "computer use" feature, released in public beta, allows the AI to perform tasks like moving a cursor, clicking buttons, and typing text - essentially operating a computer like a human would.

The company also introduced Claude 3.5 Haiku, a new model that matches the performance of the previous Claude 3 Opus while maintaining similar speed and cost efficiency. The upgraded Claude 3.5 Sonnet has shown significant improvements in coding capabilities, with performance on SWE-bench Verified increasing from 33.4% to 49.0%.

While this advancement opens up new possibilities for automation and productivity, Anthropic acknowledges potential risks and has implemented various safeguards. The company has developed new classifiers to identify potential misuse and has put measures in place to monitor election-related activities.

Several companies, including Asana, Canva, DoorDash, and Replit, are already exploring applications of this technology. However, security experts have raised concerns about potential misuse, particularly in the context of automated cyber attacks.

**sources:**  
[Introducing computer use, a new Claude 3.5 Sonnet, and Claude 3.5 Haiku](https://www.anthropic.com/news/3-5-models-and-computer-use)  
[Anthropic publicly releases AI tool that can take over the user’s mouse cursor](https://arstechnica.com/ai/2024/10/anthropic-publicly-releases-ai-tool-that-can-take-over-the-users-mouse-cursor/)  
[Anthropic's latest Claude model can interact with computers – what could go wrong?](https://www.theregister.com/2024/10/24/anthropic_claude_model_can_use_computers/)

## Character.AI Faces Lawsuit Following Teen's Death

![](/images/blogs/6/2.jpg)

In a tragic development, Character.AI, its founders, and Google are facing a lawsuit following the death of a 14-year-old user. The lawsuit, filed by Megan Garcia, the mother of Sewell Setzer III, alleges wrongful death, negligence, and product liability.

The complaint states that Setzer developed an unhealthy attachment to AI chatbots on the platform, particularly one modeled after the Game of Thrones character Daenerys Targaryen. The lawsuit claims the platform lacked adequate safety measures while being marketed to children.

In response to the incident, Character.AI has implemented several changes:

- Raised the age requirement from 12 to 17+
- Added measures to reduce sensitive content exposure for minors
- Improved detection and intervention for harmful chat sessions
- Added disclaimers reminding users that AI characters are not real people
- Implemented suicide prevention resources

The case raises important questions about AI safety, particularly regarding platforms that create highly engaging, personalized AI characters that might blur the line between fantasy and reality for vulnerable users.

**sources:**  
[Character.AI and Google sued after chatbot-obsessed teen’s death](https://www.theverge.com/2024/10/23/24277962/character-ai-google-wrongful-death-lawsuit)  
[Chatbot that caused teen’s suicide is now more dangerous for kids, lawsuit says](https://arstechnica.com/tech-policy/2024/10/chatbots-posed-as-therapist-and-adult-lover-in-teen-suicide-case-lawsuit-says/)

## The Ongoing Mystery of Bitcoin's Creator

![](/images/blogs/6/3.jpg)

A new HBO documentary, "Money Electric: The Bitcoin Mystery," has sparked fresh discussion about the identity of Bitcoin's creator, Satoshi Nakamoto. The documentary suggests that Canadian developer Peter Todd might be Satoshi, though Todd has categorically denied these claims.

The evidence presented includes forum interactions from 2010 where Todd appeared to be "finishing Satoshi's sentences" and similarities in writing patterns. However, Todd has dismissed these claims as "ludicrous" and has gone into hiding due to concerns about personal safety and harassment.

The search for Satoshi has previously implicated various figures in the crypto world, including Hal Finney, Adam Back, and Nick Szabo, but no conclusive proof has emerged for any candidate. Many in the Bitcoin community argue that Satoshi's anonymity has been beneficial for Bitcoin's development, allowing it to evolve through community consensus rather than under the influence of a single leader.

**source:**  
[Unmasking Bitcoin Creator Satoshi Nakamoto—Again](https://www.wired.com/story/unmasking-bitcoin-creator-satoshi-nakamoto-again/)  
[Peter Todd in hiding after being “unmasked” as bitcoin creator](https://arstechnica.com/tech-policy/2024/10/peter-todd-in-hiding-after-being-unmasked-as-bitcoin-creator/)
